import request from '@/utils/request'

// 查询我的客户
export function findCustByGroupId(query) {
    return request({
      url: '/system/customer/listByGroupId',
      method: 'get',
      params: query
    })
  }

export function findCustListByGroupId(query) {
    return request({
      url: '/system/group/CustomerList',
      method: 'get',
      params: query
    })
  }

export function isHead(query) {
  return request({
    url: '/system/group/isHead',
    method: 'get',
    params: query
  })
}

export function campaignDetail(query) {
  return request({
    url: '/system/campaign/getCampaignByCampaignId',
    method: 'get',
    params: query
  })
}

export function customerAppoint(query) {
  return request({
    url: '/system/group/appoint',
    method: 'put',
    params: query
  })
}

//模糊查询对应的客户经理
export function findCustomerByNameAndId(query) {
  return request({
    url: '/system/user/findUser',
    method: 'get',
    params: query
  })
}

//导入失败客户下载
export function exportDataError(query) {
  return request({
    url: '/system/group/exportDataError',
    method: 'post',
    params: query
  })
}



